---
title: hyphens
slug: Web/CSS/hyphens
tags:
  - CSS
  - CSS Property
  - CSS Text
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>hyphens</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies how words should be hyphenated when text wraps across multiple lines.</span> It can prevent hyphenation entirely, hyphenate at manually-specified points within the text, or let the browser automatically insert hyphens where appropriate.</p>

<div>{{EmbedInteractiveExample("pages/css/hyphens.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>Hyphenation rules are language-specific. In HTML, the language is determined by the <code><a href="/en-US/docs/Web/HTML/Global_attributes/lang">lang</a></code> attribute, and browsers will hyphenate only if this attribute is present and the appropriate hyphenation dictionary is available. In XML, the <code><a href="/en-US/docs/Web/SVG/Attribute/xml:lang">xml:lang</a></code> attribute must be used.</p>

<div class="note">
<p><strong>Note:</strong> The rules defining how hyphenation is performed are not explicitly defined by the specification, so the exact hyphenation may vary from browser to browser.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
hyphens: none;
hyphens: manual;
hyphens: auto;

/* Global values */
hyphens: inherit;
hyphens: initial;
hyphens: unset;
</pre>

<p>The <code>hyphens</code> property is specified as a single keyword value chosen from the list below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>Words are not broken at line breaks, even if characters inside the words suggest line break points. Lines will only wrap at whitespace.</dd>
 <dt><code>manual</code></dt>
 <dd>Words are broken for line-wrapping only where characters inside the word suggest line break opportunities. See {{anch("Suggesting line break opportunities")}} below for details.</dd>
 <dt><code>auto</code></dt>
 <dd>The browser is free to automatically break words at appropriate hyphenation points, following whatever rules it chooses. However, suggested line break opportunities (see {{anch("Suggesting line break opportunities")}} below) will override automatic break point selection when present.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> The <code>auto</code> setting's behavior depends on the language being properly tagged to select the appropriate hyphenation rules. You must specify a language using the <code>lang</code> HTML attribute to guarantee that automatic hyphenation is applied in that language.</p>
</div>

<h2 id="Suggesting_line_break_opportunities">Suggesting line break opportunities</h2>

<p>There are two Unicode characters used to manually specify potential line break points within text:</p>

<dl>
 <dt>U+2010 (HYPHEN)</dt>
 <dd>The "hard" hyphen character indicates a visible line break opportunity. Even if the line is not actually broken at that point, the hyphen is still rendered.</dd>
 <dt>U+00AD (SHY)</dt>
 <dd>An invisible, "<strong>s</strong>oft" <strong>hy</strong>phen. This character is not rendered visibly; instead, it marks a place where the browser should break the word if hyphenation is necessary. In HTML, use <code>&amp;shy;</code> to insert a soft hyphen.</dd>
</dl>

<div class="notecard note">
<p>When the HTML <code><a href="/en-US/docs/Web/HTML/Element/wbr">&lt;wbr&gt;</a></code> element leads to a line break, no hyphen is added.</p>
</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Specifying_text_hyphenation">Specifying text hyphenation</h3>

<p>This example uses three classes, one for each possible configuration of the <code>hyphens</code> property.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;dl&gt;
  &lt;dt&gt;&lt;code&gt;none&lt;/code&gt;: no hyphen; overflow if needed&lt;/dt&gt;
  &lt;dd lang="en" class="none"&gt;An extreme&amp;shy;ly long English word&lt;/dd&gt;
  &lt;dt&gt;&lt;code&gt;manual&lt;/code&gt;: hyphen only at &amp;amp;hyphen; or &amp;amp;shy; (if needed)&lt;/dt&gt;
  &lt;dd lang="en" class="manual"&gt;An extreme&amp;shy;ly long English word&lt;/dd&gt;
  &lt;dt&gt;&lt;code&gt;auto&lt;/code&gt;: hyphens where the algorithm decides (if needed)&lt;/dt&gt;
  &lt;dd lang="en" class="auto"&gt;An extreme&amp;shy;ly long English word&lt;/dd&gt;
&lt;/dl&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">dd {
  width: 55px;
  border: 1px solid black;
 }
dd.none {
  -webkit-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
}
dd.manual {
  -webkit-hyphens: manual;
  -ms-hyphens: manual;
  hyphens: manual;
}
dd.auto {
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
}
</pre>

<h4 id="Result">Result</h4>

<figure>
<p>{{EmbedLiveSample("Specifying_text_hyphenation", "100%", 490)}}</p>
</figure>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Text", "#hyphens-property", "hyphens")}}</td>
   <td>{{Spec2("CSS3 Text")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.properties.hyphens")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("content")}}</li>
 <li>{{cssxref("overflow-wrap")}} (formerly <code>word-wrap</code>)</li>
 <li>{{cssxref("word-break")}}</li>
</ul>
